Rev AI Streaming Speech-To-Text API Documentation
- Delete Custom Vocabulary
Streaming Speech-To-Text API Documentation (v1)
Custom Vocabulary Definition
Optional metadata that was provided during submission
Optional configuration for a callback url to invoke when processing is complete, in addition to auth headers if they are needed to invoke the callback url. Cannot be set if callback_url is set. This option will not be visible in the submission response.
If true, only exact phrases will be used as custom vocabulary, i.e. phrases will not be split into individual words for processing. By default is enabled.
Array of phrases not found in normal dictionary. Add technical jargon, proper nouns and uncommon phrases as strings in this array to add them to the lexicon for this job.
A phrase must contain at least 1 alpha character but may contain any non-numeric character from the Basic Latin set. A phrase can contain up to 12 words. Each word can contain up to 34 characters.
Note: Only 6000 phrases can be used per transcription job. For more details, check Custom Vocabularies.
Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.
- Rev AI APIhttps://api.rev.ai/vocabularies
- Mock serverhttps://docs.rev.ai/_mock/api/custom-vocabulary/reference/vocabularies
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.rev.ai/vocabularies \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"metadata": "example metadata",
"notification_config": {
"url": "https://www.example.com/callback",
"auth_headers": {
"Authorization": "Bearer <token>"
}
},
"custom_vocabularies": [
{
"phrases": [
"Paul McCartney",
"Amelia Earhart",
"Weiss-Bergman",
"BLM"
]
}
]
}'Custom Vocabulary Job Details
Current status of the custom vocabulary
The date and time the custom vocabulary was submitted in ISO-8601 UTC form
The date and time the custom vocabulary was completed on, whether successful or failure, in ISO-8601 UTC form
Optional metadata that was provided during custom vocabulary submission
Simple reason of why the transcription job failed. Check failure_detail for specific details and solutions
Human-readable reason why the job failed
Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.
- New Submission for CustomVocabulary
- Complete CustomVocabulary
- Failed CustomVocabulary
{ "id": "cvUmx5c6F7pH7r", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "callback_url": "https://www.example.com/callback" }
- Rev AI APIhttps://api.rev.ai/vocabularies
- Mock serverhttps://docs.rev.ai/_mock/api/custom-vocabulary/reference/vocabularies
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.rev.ai/vocabularies?limit=1000' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'List of Custom Vocabularies' Processing Details
Current status of the custom vocabulary
The date and time the custom vocabulary was submitted in ISO-8601 UTC form
The date and time the custom vocabulary was completed on, whether successful or failure, in ISO-8601 UTC form
Optional metadata that was provided during custom vocabulary submission
Simple reason of why the transcription job failed. Check failure_detail for specific details and solutions
Human-readable reason why the job failed
Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.
[ { "id": "cvUmx5c6F7pH7r", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "callback_url": "https://www.example.com/callback" }, { "id": "cvx5c6F7pcvUmH", "status": "complete", "created_on": "2018-05-05T23:23:22.29Z", "completed_on": "2018-05-05T23:45:13.41Z", "callback_url": "https://www.example.com/callback" }, { "id": "cv6F7aspH7rUmx", "status": "failed", "created_on": "2018-05-05T23:23:22.29Z", "completed_on": "2018-05-05T23:23:24.11Z", "failure": "internal_processing", "failure_detail": "Internal processing failure" } ]
- Rev AI APIhttps://api.rev.ai/vocabularies/{id}
- Mock serverhttps://docs.rev.ai/_mock/api/custom-vocabulary/reference/vocabularies/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.rev.ai/vocabularies/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Custom Vocabulary Job Details
Current status of the custom vocabulary
The date and time the custom vocabulary was submitted in ISO-8601 UTC form
The date and time the custom vocabulary was completed on, whether successful or failure, in ISO-8601 UTC form
Optional metadata that was provided during custom vocabulary submission
Simple reason of why the transcription job failed. Check failure_detail for specific details and solutions
Human-readable reason why the job failed
Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete. If this parameter is used to pass in the callback url, the callback url will be visible in the response. It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included and both the callback url and auth headers will be encrypted when stored.
- New Submission for CustomVocabulary
- Complete CustomVocabulary
- Failed CustomVocabulary
{ "id": "cvUmx5c6F7pH7r", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "callback_url": "https://www.example.com/callback" }
- Rev AI APIhttps://api.rev.ai/vocabularies/{id}
- Mock serverhttps://docs.rev.ai/_mock/api/custom-vocabulary/reference/vocabularies/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://api.rev.ai/vocabularies/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'